Loading...
Searching...
No Matches
etl::imultimap< TKey, TMapped, TKeyCompare >::Data_Node Struct Reference

The data node element in the multimap. More...

`#include <multimap.h>`

## Public Member Functions

| Data_Node (value_type value_)
Public Member Functions inherited from etl::multimap_base::Node
| Node ()
| Constructor.
void | mark_as_leaf ()
| Marks the node as a leaf.

## Public Attributes

value_type | value
Public Attributes inherited from etl::multimap_base::Node
Node * | parent
Node * | children [2]
uint_least8_t | weight
uint_least8_t | dir

## Detailed Description

template<typename TKey, typename TMapped, typename TKeyCompare = etl::less<TKey>>
struct etl::imultimap< TKey, TMapped, TKeyCompare >::Data_Node

The data node element in the multimap.

The documentation for this struct was generated from the following file:

- include/etl/multimap.h